Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | List of all members
Calculator Class Reference

Stateの挙動を定義するクラス。継承して利用する。 More...

Inheritance diagram for Calculator:

## Public Member Functions
virtual bool | OnCheckDirty ()
| 変更されているか判定する際に呼ばれる。 More...
void | SetDirty ()
| OnCalculateを呼んでほしい場合に呼び出す。 More...
void | Calculate ()
| 必要であれば演算する。 More...
virtual void | OnCalculate ()
| 演算される際に呼ばれる。 More...
Public Member Functions inherited from NodeBehaviour
CalculatorSlotField | GetCalculatorSlotField (int index)
| CalculatorSlotFieldを取得する。 More...
CalculatorSlotField | GetCalculatorSlotField (CalculatorSlot slot)
| CalculatorSlotFieldを取得する。 More...
void | RebuildCalculatorSlotFields ()
| CalculatorSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...

## Protected Member Functions
virtual void | Awake ()
| この関数はスクリプトのインスタンスがロードされたときに呼び出される。 More...
virtual void | OnDestroy ()
| この関数はMonoBehaviourが破棄されるときに呼び出される。 More...
override void | OnValidate ()
| この関数はスクリプトがロードされた時やインスペクターの値が変更されたときに呼び出されます（この呼出はエディター上のみ） More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...

## Properties
CalculatorNode | calculatorNode`[get]`
| CalculatorNodeを取得。 More...
int | calculatorID`[get]`
| CalculatorIDを取得。 More...
bool | isDirty`[get]`
| 変更されているかどうか。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | calculatorSlotFieldCount`[get]`
| CalculatorSlotFieldの個数 More...

## Additional Inherited Members
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...

## Detailed Description

Stateの挙動を定義するクラス。継承して利用する。

## Member Function Documentation

virtual void Awake | ( |  | ) |
| protected virtual

この関数はスクリプトのインスタンスがロードされたときに呼び出される。

void Calculate | ( |  | ) |

必要であれば演算する。

virtual void OnCalculate | ( |  | ) |
| virtual

演算される際に呼ばれる。

virtual bool OnCheckDirty | ( |  | ) |
| virtual

変更されているか判定する際に呼ばれる。

Returns
  変更されている場合はtrue、そうでなければfalseを返す。

virtual void OnDestroy | ( |  | ) |
| protected virtual

この関数はMonoBehaviourが破棄されるときに呼び出される。

override void OnValidate | ( |  | ) |
| protected virtual

この関数はスクリプトがロードされた時やインスペクターの値が変更されたときに呼び出されます（この呼出はエディター上のみ）

Reimplemented from NodeBehaviour.

void SetDirty | ( |  | ) |

OnCalculateを呼んでほしい場合に呼び出す。

## Property Documentation

int calculatorID
| get

CalculatorIDを取得。

CalculatorNode calculatorNode
| get

CalculatorNodeを取得。

bool isDirty
| get

変更されているかどうか。